<?xml version="1.0" encoding="UTF-8"?>
<!--
 | (C) Copyright IBM Corporation 2001, 2004. All Rights Reserved.
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers and permissions.
 |
 | The Darwin Information Typing Architecture (DITA) was orginated by
 | IBM's XML Workgroup and ID Workbench tools team.
 |
 | File: reference.mod
 |
 | Release history (vrm):
 |   1.0.0 Release 1.2 - Initial XML Schema release on IBM's developerWorks, June 2003
 |   1.1.3 Release 1.3 March 2004: bug fixes and map updates
 *-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified">
  
  <!-- ==================== Import Section ======================= -->
  <xs:import namespace="http://www.w3.org/XML/1998/namespace" schemaLocation="xml.xsd"/>
  
  <xs:element name="reference" type="reference.class" substitutionGroup="topic"/>
  <xs:element name="refbody" abstract="true" substitutionGroup="body"/>
  <xs:element name="refsyn" abstract="true" substitutionGroup="section"/>
  <xs:element name="properties" abstract="true" substitutionGroup="simpletable"/>
  <xs:element name="property" abstract="true" substitutionGroup="strow"/>
  <xs:element name="propvalue" abstract="true" substitutionGroup="stentry"/>
  <xs:element name="propdesc" abstract="true" substitutionGroup="stentry"/>
  <xs:element name="proptype" abstract="true" substitutionGroup="stentry"/>

  <xs:element name="prophead" abstract="true" substitutionGroup="sthead"/>
  <xs:element name="propvaluehd" abstract="true" substitutionGroup="stentry"/>
  <xs:element name="propdeschd" abstract="true" substitutionGroup="stentry"/>
  <xs:element name="proptypehd" abstract="true" substitutionGroup="stentry"/>

  <xs:group name="reference-info-types">
    <xs:choice>
      <xs:element ref="reference"/>
    </xs:choice>
  </xs:group>

  <!-- Base type: topic.class -->
  <xs:complexType name="reference.class">
    <xs:complexContent>
      <xs:restriction base="topic.class">
        <xs:sequence>
          <xs:element ref="title"/>
          <xs:element ref="titlealts" minOccurs="0"/>
          <xs:element ref="shortdesc" minOccurs="0"/>
          <xs:element ref="prolog" minOccurs="0"/>
          <xs:element name="refbody" type="refbody.class"/>
          <xs:element ref="related-links" minOccurs="0"/>
          <xs:group ref="info-types" minOccurs="0" maxOccurs="unbounded"/>
        </xs:sequence>
        <xs:attribute name="id" type="xs:ID" use="required"/>
        <xs:attribute name="conref" type="xs:string"/>
        <xs:attribute name="DTDVersion" type="xs:string" use="optional" default="V1.1.3"/>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="select-atts"/>
        <xs:attribute ref="xml:lang"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="- topic/topic reference/reference "/>
        <xs:attribute name="domains" type="xs:string" default="(topic ui-d) (topic hi-d) (topic sw-d) (topic pr-d) (topic ut-d)"/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <!-- Base type: body.class -->
  <xs:complexType name="refbody.class">
    <xs:complexContent>
      <xs:restriction base="body.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:element name="refsyn" type="refsyn.class"/>
          <xs:element ref="table"/>
          <xs:element ref="simpletable"/>
          <xs:element name="properties" type="properties.class"/>
          <xs:element ref="section"/>
          <xs:element ref="example"/>
        </xs:choice>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="id-atts"/>
	<xs:attribute name="translate" type="yesno-att.class"/>
	<xs:attribute ref="xml:lang"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="- topic/body reference/refbody "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <!-- Base type: section.class -->
  <xs:complexType name="refsyn.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="section.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:group ref="section.cnt"/>
        </xs:choice>
        <xs:attribute name="spectitle" type="xs:string"/>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="- topic/section reference/refsyn "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <!-- Base type: simpletable.class -->
  <xs:complexType name="properties.class">
    <xs:complexContent>
      <xs:restriction base="simpletable.class">
    <xs:sequence>
      <xs:element name="prophead" type="prophead.class" minOccurs="0"/>
      <xs:element name="property" type="property.class" maxOccurs="unbounded"/>
    </xs:sequence>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="- topic/simpletable reference/properties "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <!-- Base type: sthead.class -->
  <xs:complexType name="prophead.class">
    <xs:complexContent>
      <xs:restriction base="sthead.class">
        <xs:sequence>
          <xs:element name="proptypehd" type="proptypehd.class"/>
          <xs:element name="propvaluehd" type="propvaluehd.class"/>
          <xs:element name="propdeschd" type="propdeschd.class"/>
        </xs:sequence>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="- topic/sthead  reference/prophead "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <!-- Base type: stentry.class -->
  <xs:complexType name="proptypehd.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="stentry.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:group ref="ph.cnt"/>
        </xs:choice>
        <xs:attribute name="specentry" type="xs:string"/>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="- topic/stentry reference/proptypehd "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <!-- Base type: stentry.class -->
  <xs:complexType name="propvaluehd.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="stentry.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:group ref="ph.cnt"/>
        </xs:choice>
        <xs:attribute name="specentry" type="xs:string"/>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="- topic/stentry  reference/propvaluehd "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <!-- Base type: stentry.class -->
  <xs:complexType name="propdeschd.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="stentry.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:group ref="desc.cnt"/>
        </xs:choice>
        <xs:attribute name="specentry" type="xs:string"/>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="- topic/stentry  reference/propdeschd "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <!-- Base type: strow.class -->
  <xs:complexType name="property.class">
    <xs:complexContent>
      <xs:restriction base="strow.class">
        <xs:sequence>
          <xs:element name="proptype" type="proptype.class" minOccurs="0"/>
          <xs:element name="propvalue" type="propvalue.class" minOccurs="0"/>
          <xs:element name="propdesc" type="propdesc.class" minOccurs="0"/>
        </xs:sequence>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="- topic/strow  reference/property "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <!-- Base type: stentry.class -->
  <xs:complexType name="proptype.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="stentry.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:group ref="ph.cnt"/>
        </xs:choice>
        <xs:attribute name="specentry" type="xs:string"/>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="- topic/stentry reference/proptype "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <!-- Base type: stentry.class -->
  <xs:complexType name="propvalue.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="stentry.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:group ref="ph.cnt"/>
        </xs:choice>
        <xs:attribute name="specentry" type="xs:string"/>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="- topic/stentry  reference/propvalue "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <!-- Base type: stentry.class -->
  <xs:complexType name="propdesc.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="stentry.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:group ref="desc.cnt"/>
        </xs:choice>
        <xs:attribute name="specentry" type="xs:string"/>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="- topic/stentry  reference/propdesc "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>
</xs:schema>
