<?xml version="1.0" encoding="UTF-8"?>
<!--
 | (C) Copyright IBM Corporation 2001, 2004. All Rights Reserved.
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers and permissions.
 |
 | The Darwin Information Typing Architecture (DITA) was orginated by
 | IBM's XML Workgroup and ID Workbench tools team.
 |
 | File: software-domain.mod
 |
 | Release history (vrm):
 |   1.0.0 Release 1.2 - Initial XML Schema release on IBM's developerWorks, June 2003
 |   1.1.3 Release 1.3 March 2004: bug fixes and map updates
 *-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified">

  <!-- 20021227 EAS: Use xml:space (preserve) for pre derivs: codeblock, msgblock, screen -->
  <xs:import namespace="http://www.w3.org/XML/1998/namespace" schemaLocation="xml.xsd"/>

  <xs:element name="msgph" type="msgph.class" substitutionGroup="ph"/>
  <xs:complexType name="msgph.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="ph.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
<!-- DRD:
          <xs:element ref="varname"/>
          <xs:element ref="msgnum"/>
-->
          <xs:group ref="words.cnt"/>
        </xs:choice>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="+ topic/ph sw-dd/msgph "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <xs:element name="msgnum" type="msgnum.class" substitutionGroup="keyword"/>
  <xs:complexType name="msgnum.class">
    <xs:simpleContent>
      <xs:restriction base="keyword.class">
        <xs:attribute name="keyref" type="xs:NMTOKEN"/>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="+ topic/keyword sw-dd/msgnum "/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>

  <xs:element name="varname" type="varname.class" substitutionGroup="keyword"/>
  <xs:complexType name="varname.class">
    <xs:simpleContent>
      <xs:restriction base="keyword.class">
        <xs:attribute name="keyref" type="xs:NMTOKEN"/>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="+ topic/keyword sw-dd/varname "/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>

  <xs:element name="msgblock" type="msgblock.class" substitutionGroup="pre"/>
  <xs:complexType name="msgblock.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="pre.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
<!-- DRD:
          <xs:element ref="varname"/>
          <xs:element ref="msgnum"/>
-->
          <xs:group ref="words.cnt"/>
        </xs:choice>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attribute name="spectitle" type="xs:string"/>
        <xs:attribute ref="xml:space"/>
        <xs:attributeGroup ref="display-atts"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="+ topic/pre sw-d/msgblock "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <xs:element name="cmdname" type="cmdname.class" substitutionGroup="keyword"/>
  <xs:complexType name="cmdname.class">
    <xs:simpleContent>
      <xs:restriction base="keyword.class">
        <xs:attribute name="keyref" type="xs:NMTOKEN"/>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="+ topic/keyword sw-d/cmdname "/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>

  <xs:element name="filepath" type="filepath.class" substitutionGroup="ph"/>
  <xs:complexType name="filepath.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="ph.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
<!-- :DRD
          <xs:element ref="varname"/>
-->
          <xs:group ref="words.cnt"/>
        </xs:choice>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="+ topic/ph sw-d/filepath "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <xs:element name="userinput" type="userinput.class" substitutionGroup="ph"/>
  <xs:complexType name="userinput.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="ph.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
<!-- DRD:
          <xs:element ref="varname"/>
-->
          <xs:group ref="words.cnt"/>
        </xs:choice>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="+ topic/ph sw-dd/userinput "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <xs:element name="systemoutput" type="systemoutput.class" substitutionGroup="ph"/>
  <xs:complexType name="systemoutput.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="ph.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
<!-- DRD:
          <xs:element ref="varname"/>
-->
          <xs:group ref="words.cnt"/>
        </xs:choice>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="+ topic/ph sw-dd/systemoutput "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>
</xs:schema>
