<?xml version="1.0" encoding="UTF-8"?>
<!--
 | (C) Copyright IBM Corporation 2001, 2004. All Rights Reserved.
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers and permissions.
 |
 | The Darwin Information Typing Architecture (DITA) was orginated by
 | IBM's XML Workgroup and ID Workbench tools team.
 |
 | File: utilities-domain.mod
 |
 | Release history (vrm):
 |   1.0.0 Release 1.2 - Initial XML Schema release on IBM's developerWorks, June 2003
 |   1.1.3 Release 1.3 March 2004: bug fixes and map updates
 *-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified">

<xs:attributeGroup name="univ-atts-translate-no">
	<xs:attributeGroup ref="id-atts"/>
	<xs:attributeGroup ref="select-atts"/>
	<xs:attribute name="translate" type="yesno-att.class" default="no"/>
	<xs:attribute ref="xml:lang"/>
</xs:attributeGroup>

  <!-- Base form: Imagemap ((%image;), (%area;)+) -->
  <xs:element name="imagemap" type="imagemap.class" substitutionGroup="fig"/>
  <xs:complexType name="imagemap.class">
    <xs:complexContent>
      <xs:restriction base="fig.class">
        <xs:sequence>
          <xs:element ref="image"/>
          <xs:element ref="area" maxOccurs="unbounded"/>
        </xs:sequence>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attributeGroup ref="display-atts"/>
        <xs:attribute name="spectitle" type="xs:string"/>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="+ topic/fig ut-d/imagemap "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <xs:element name="area" type="area.class" substitutionGroup="figgroup"/>
  <xs:complexType name="area.class">
    <xs:complexContent>
      <xs:restriction base="figgroup.class">
        <xs:sequence>
          <xs:element ref="shape"/>
          <xs:element ref="coords"/>
          <xs:element ref="xref"/>
        </xs:sequence>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="+ topic/figgroup ut-d/area "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <xs:element name="shape" type="shape.class" substitutionGroup="keyword"/>
  <xs:complexType name="shape.class">
    <xs:simpleContent>
      <xs:restriction base="keyword.class">
        <xs:attribute name="keyref" type="xs:NMTOKEN"/>
        <xs:attributeGroup ref="univ-atts-translate-no"/>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="+ topic/keyword ut-d/shape "/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>

  <xs:element name="coords" type="repsep.class" substitutionGroup="ph"/>
  <xs:complexType name="coords.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="ph.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:group ref="words.cnt"/>
        </xs:choice>
        <xs:attribute name="keyref" type="xs:NMTOKEN"/>
        <xs:attributeGroup ref="univ-atts-translate-no"/>
        <xs:attribute name="outputclass" type="xs:string"/>
        <xs:attributeGroup ref="global-atts"/>
        <xs:attribute ref="class" default="+ topic/ph ut-d/coords "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

</xs:schema>
